Bug 62908 - ksconfig creates an invalid firewall configuration
ksconfig creates an invalid firewall configuration
Product: Red Hat Public Beta
Classification: Retired
Component: ksconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-04-07 10:39 EDT by William Shotts
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-07 10:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Shotts 2002-04-07 10:39:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
If you select "customize", ksconfig creates and in valid firewall configuration
line in the kickstart file.

The line will contain a trailing "--port" which causes anaconda to crash. 
Removing the  "--port" from the line fixes the problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run ksconfig
2.Select medium firewall and customize
3.Select "ssh" but no ports
4.Write file
5.Boot install disk with "linux ks=floppy"

Actual Results:  Anaconda crashes indicating problem with syntax of firewall
line in ks.cfg

Expected Results:  Anaconda installs normally

Additional info:

Editing ks.cfg to remove the trailing "--port" corrects problem.
Comment 1 Brent Fox 2002-04-08 11:41:51 EDT
Thanks for catching this.  I've fixed the bug in ksconfig-2.0-5.

Note You need to log in before you can comment on or make changes to this bug.